#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # 2A.eco - Exercice Python - Eco Séance 2
# 
# Voici un petit exercice qui nous permet de voir à peu près toutes les opérations standards sur les dataframes avec un jeu de données issus des élections.

# 
# 
# En utilisant le fichier Excel [data_elections.zip](https://github.com/sdpython/ensae_teaching_cs/raw/master/src/ensae_teaching_cs/data/data_sql/data_elections.zip), réalisez les opérations suivantes : 
# 
# 
# - Ouvrir le fichier Excel grâce à pandas et transformer l'onglet "départements T1" en un DataFrame (résultats de l'élection au premier tour)
# - Créer une table où l'observation est le département  (une ligne par département) avec les résulats de chaque candidat aux élections dans une colonne qui porte le nom + prénom du candidat. Autrement dit, renommez la colonne Voix.X en nom+prénom du candidat;
# - Appliquer le même traitement à l'onglet "département T2" (résultats de l'élection aux 2ème tour)
# - Calculer le pourcentage de votes pour chaque tour et chaque candidat présent au 2nd tour (F. HOLLANDE & N. SARKOZY)
# - Représenter la corrélation entre les pourcentages du tour 1 et ceux du tour 2 pour François Hollande
# - Ajouter la même corrélation pour N. Sarkozy
# - Représenter pour l'ensemble des départements la part des votants en faveur de l'un et de l'autre au 2nd tour (en utilisant un graphique de type stack bar)
# - Représenter la part des votes du candidat arrivé en tête au premier tour

# In[1]: